Get Photo Avatar List
curl --request GET \
--url https://api.jogg.ai/v2/avatars/photo_avatars \
--header 'x-api-key: <api-key>'import requests
url = "https://api.jogg.ai/v2/avatars/photo_avatars"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.jogg.ai/v2/avatars/photo_avatars', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 0,
"msg": "Success",
"data": {
"avatars": [
{
"id": 123,
"name": "My Photo Avatar",
"cover_url": "https://example.com/cover.jpg",
"status": 1,
"fail_msg": ""
}
]
}
}Avatar
Get Photo Avatars
Retrieve list of user’s photo avatars. Returns user’s photo-based avatar collection with filtering options.
GET
/
v2
/
avatars
/
photo_avatars
Get Photo Avatar List
Retrieve the list of your photo avatars created from uploaded photos.
Example Usage
curl --request GET \
--url 'https://api.jogg.ai/v2/avatars/photo_avatars' \
--header 'x-api-key: YOUR_API_KEY'
Related Guides
Create Photo Avatar Guide
Learn how to create photo avatars
Authorizations
API key for authentication. Obtain your key from the JoggAI dashboard.
Query Parameters
Page number for pagination
Required range:
x >= 1Example:
1
Number of items per page
Required range:
1 <= x <= 100Example:
10
Avatar name filter
Status filter
Available options:
processing, completed, failed Response
200 - application/json
Success
Business status code:
- 0 - Success
- 10104 - Record not found
- 10105 - Invalid API key
- 18020 - Insufficient credit
- 18025 - No permission to call APIs
- 40000 - Parameter error
- 50000 - System error
Example:
0
Response message
Example:
"Success"
Show child attributes
Show child attributes

